RETROARCH-JOYCONFIG(1)

NAME
retroarch-joyconfig - Tool to configure joypad bindings for retroarch.

SYNOPSIS
retroarch-joyconfig [OPTIONS]...

DESCRIPTION
retroarch-joyconfig is a simple tool that allows updating or creating a configuration file for retroarch. It reads in necessary joypad bindings for a certain player and joypad.

GENERAL OPTIONS

--player PLAYER, -p PLAYER
    Configuration will be done for the SNES player PLAYER. This can be from 1 up to and including 5 (multitap). Default is configuration for player 1.

--joypad PAD, -j PAD
    Which joypad to use when configuring. Use a numeric indexing. Default here is 0 (first joypad).

--input PATH, -i PATH
    Use config file found in PATH as a base. Old configuration values can be overwritten by new values when configuring binds. If not used, an empty config file will be used as a base. Using this option only does not update the file found in PATH.

--output PATH, -o PATH
    Writes the final config to a file, rather than stdout. If -i and -o point to the same file, the file found in PATH will simply be updated with the new configs.

--misc, -m
    Also configure some binds that aren't directly related to SNES emulation, such as save states, fullscreen toggling, etc.

--help, -h
    Prints help message.

SEE ALSO
retroarch(1)